summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur She <arthur.she@linaro.org>2016-02-10 18:43:42 -0800
committerArthur She <arthur.she@linaro.org>2016-02-11 13:17:30 -0800
commit8fddf8e4c27659f3184a672257c492f4100b6fed (patch)
tree2a71fb3efa5ab69d65ffbdb9b8b856adc364d238
Add stress-ng-tests.sh for 6 hours of various stress-ng test
-rwxr-xr-xstress-ng-tests.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/stress-ng-tests.sh b/stress-ng-tests.sh
new file mode 100755
index 0000000..200cce9
--- /dev/null
+++ b/stress-ng-tests.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+stress-ng --help > /dev/null 2>&1
+if [ $? -ne 0 ];then
+ sudo apt-get update
+ sudo apt-get -y install stress-ng
+fi
+
+# To run ${cpu_no} workers might cause hikey board
+# overheat and result in system shutdown
+cpu_no=`grep "^processor" /proc/cpuinfo | wc -l`
+worker_no=$((${cpu_no}/2))
+
+stress-ng --random ${worker_no} --timeout 6h